Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class Main

    java.lang.Object
      org.infoml.infocardOrganizer.Main

    public class Main

extends java.lang.Object

Sets up UI and all data structures associated with Infocard Organizer.

Field Summary
`boolean` | `hasChanged`
`InfomlFileType` | `if1`
`InfomlType` | `infocard`

Constructor Summary
`Main(MainFrame mainFr)`

Method Summary
`void` | `addInfocard(InfomlType infocard, NotecardModel model)` Adds the infocard both to the InfocardWindow and to MainFrame's infocards map.
`void` | `createContext()` Sets out JAXB conversion and marshaling, InfocardBuilder, and an empty infocard file
`InfomlType` | `findInfocard(NotecardModel model)`
`void` | `rearangeElements()`
`void` | `removeOutlineInfocards()`
`int` | `writeInfomlToDiskWithValidating(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### if1

    public InfomlFileType if1

### infocard

    public InfomlType infocard

### hasChanged

    public boolean hasChanged

Constructor Detail

### Main

    public Main(MainFrame mainFr)

Method Detail

### createContext

    public void createContext()

  Sets out JAXB conversion and marshaling, InfocardBuilder, and an empty infocard file

### addInfocard

    public void addInfocard(InfomlType infocard,
                            NotecardModel model)

  Adds the infocard both to the InfocardWindow and to MainFrame's infocards map.

### removeOutlineInfocards

    public void removeOutlineInfocards()

### findInfocard

    public InfomlType findInfocard(NotecardModel model)

### rearangeElements

    public void rearangeElements()

### writeInfomlToDiskWithValidating

    public int writeInfomlToDiskWithValidating(java.lang.String path)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD